# Class CIM_UsersCredential
extends CIM_Dependency

CIM_UsersCredential is an association used to establish the credentials that may be used for a UsersAccess to a system or set of systems. Since the UsersAccess class is deprecated in lieu of CIM_Identity, this association is also deprecated and replaced by policy - where the AuthenticationCondition class describes the credentials that SHOULD be authenticated in order to establish the Identity.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_UsersCredential

## Direct Known Subclasses

CIM_PublicPrivateKeyPair

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_AuthenticationCondition

Description

string

CIM_UsersCredential is an association used to establish the credentials that may be used for a UsersAccess to a system or set of systems. Since the UsersAccess class is deprecated in lieu of CIM_Identity, this association is also deprecated and replaced by policy - where the AuthenticationCondition class describes the credentials that SHOULD be authenticated in order to establish the Identity.

UMLPackagePath | string | CIM::User::UsersAccess
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_UsersCredential | CIM_Credential
Dependent | CIM_UsersCredential | CIM_UsersAccess

## Class Methods